Where Can I Get IPP 2017?



  • I cannot for the life of me export a simple HISE project.

    I am running OS X 10.11. The only IPP installers I can download requires 10.12 or higher. I have searched through the documentations and website for system requirements and learnt that I need IPP 2017 at the very latest. As the title of this thread, where on earth do I find this?

    ps. I tried disabling IPP. no luck 😕

    Screen Shot 2020-03-21 at 12.02.12 PM.png
    Screen Shot 2020-03-21 at 11.57.31 AM.png



  • There's a link posted somewhere around here. Search for vs2019. I think it was in that thread



  • If you don't have IPP and select the build without IPP option then you need to remove all of the IPP flags/paths from the Projucer project before you build.



  • @dustbro Searched and found this. I believe this is what you're referring to? https://forum.hise.audio/topic/1454/visual-studio-2019-ipp-help
    Unfortunately, this is a relating to Visual Studio 2017, not IPP 2017. Thanks for the reply though.

    @d-healey I have disabled IPP. Even went as far as rebuilding the entire HISE Standalone application again following the tutorial on your youtube channel (really appreciate you doing that btw. I also bought your entire Kontakt tutorials a few years back. Good stuff). Anyways, rebuilding HISE is not working still =/. Something strange to note is that with the previous build, it at least executed terminal and attempted to compile (see above screenshot). But after the rebuild, it just straight up throws an export error.

    The funny thing is I've been dabbling with JUCE for a year now. I've been able to compile fully working standalone, AU, VST and (crazily) AAX plugins through pure JUCE (no HISE) no problem. Not sure why HISE is giving so much issues...
    Screen Shot 2020-03-21 at 5.55.50 PM.png



  • I'm not sure what the cause of that error is. What happens if you just add a sinewave generator to an empty project and try and export that?



  • @azrulsaleh said in Where Can I Get IPP 2017?:

    Unfortunately, this is a relating to Visual Studio 2017, not IPP 2017.

    Opps... you are correct.
    I checked out my Intel account. It looks like 2018 is the oldest you can download.

    ipp.png

    Maybe someone here has a link to the legacy version


Log in to reply
 

3
Online

647
Users

2.6k
Topics

21.4k
Posts